# Airport Operational Note data

## Get all relevant operational notes at an airport&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/operationalNotes/all`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The detailed properties of the returned object can be found in the documentation of the [Airport Operational Note](/data-models/operational-note/operational-notes.md) data model.

**NOTE:** All `validFrom` and `validTo` values are returned in **local time**, based on the location of the operational note.

```json
[
  {
    "validFrom": "2025-03-22T13:02:00",
    "validTo": "2025-05-28T16:59:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 25R PAPI U/S",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-PEOC-P4CV",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-04-21T21:06:00",
    "validTo": "2025-06-25T16:59:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 24L PAPI U/S",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-0X5W-FBPI",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-05-09T21:42:00",
    "validTo": "2025-05-29T16:59:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 25L PAPI U/S",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-JC1V-1POX",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-05-20T23:36:00",
    "validTo": "2025-06-04T16:59:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 25L PAPI U/S",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-T54G-5MET",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-05-27T00:30:00",
    "validTo": "2025-05-30T06:30:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 07R/25L CLSD DLY 0030-0630 LT",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-T2PD-377R",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-05-27T14:00:00",
    "validTo": "2025-05-27T15:00:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 06L/24R CLSD",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-8WQ6-MR88",
    "kind": "AIRPORT"
  },
  {
    "validFrom": "2025-05-28T14:00:00",
    "validTo": "2025-05-28T15:00:00",
    "source": "NOTAM",
    "criticality": "OPERATIONALLY_RELEVANT",
    "notes": "RWY 06R/24L CLSD",
    "category": "RUNWAY",
    "affectedTraffic": null,
    "parent": "APT-2K2B-WML5",
    "aid": "ONA-84ZO-Y5DQ",
    "kind": "AIRPORT"
  }
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/operational-note-endpoints/airport-operational-note-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
